SQL-инъекция в WordPress Store Locator Plus Plugin

Дата публикации:
03.09.2013
Дата изменения:
03.09.2013
Всего просмотров:
1967
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:7.5/Temporal:5.5
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Store Locator Plus Plugin 3.x
Уязвимые версии: WordPress Store Locator Plus Plugin 3.8.6, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в HTTP POST параметре "query" в сценарии wp-content/plugins/store-locator-le/downloadcsv.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://wordpress.org/extend/plugins/store-locator-le/

Решение: Установите версию 2.0.6 с сайта производителя.

Ссылки: http://wordpress.org/extend/plugins/store-locator-le/changelog/
http://plugins.trac.wordpress.org/changeset/650029/store-locator-le/trunk/downloadcsv.php

или введите имя

CAPTCHA